body{counter-reset: section}

.post-info {
    margin-bottom: 3rem;
}

.post-content>h2{counter-reset: sub-section}
.post-content>h3{counter-reset: composite}
.post-content>h4{counter-reset: detail}

.post-content>h2:before{
    counter-increment: section;
    content: counter(section) ".\0000a0\0000a0";
}
.post-content>h2.nonumber:before {
    content: none;
    counter-increment: none;
}
.post-content>h3:before{
    counter-increment: sub-section;
    content: counter(section) "." counter(sub-section) " ";
}
.post-content>h4:before{
    counter-increment: composite;
    content: counter(section) "." counter(sub-section) "." counter(composite) " ";
}
.post-content>h5:before{
    counter-increment: detail;
    content: counter(section) "." counter(sub-section) "." counter(composite) "." counter(detail) " ";
}

/* /\* More paper like paragraphs with less spacing. *\/ */
/* .post-content p { */
/*   text-indent: 2em; /\* Adjust the indent size as needed *\/ */
/*   margin: 0; /\* Remove default paragraph spacing if needed *\/ */
/* } */

/* /\* Reset indent for first paragraph after any heading *\/ */
/* .post-content h1 + p, */
/* .post-content h2 + p, */
/* .post-content h3 + p, */
/* .post-content h4 + p, */
/* .post-content h5 + p, */
/* .post-content h6 + p { */
/*     text-indent: 0; */
/*     margin-top: 0; */
/* } */

/* h1, h2, h3, h4, h5, h6 { */
/*     margin-bottom: 0; */
/* } */
